#include "device/sync/AbstractValueReader.h"


AbstractValueReader::AbstractValueReader() 
{
    name = "Custom Synchronization Handler";
}

AbstractValueReader::AbstractValueReader(const AgString &name) 
{
    this->name = name;
}


const AgString &AbstractValueReader::toString()
{
    return name;
}


DataTablePtr AbstractValueReader::read(CallerControllerPtr callerController,RequestControllerPtr requestController)
{
    UNUSED(callerController);
    UNUSED(requestController);
    return DataTablePtr();
}



